summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2008-10-13 10:14:42 +0000
committerUlrich Müller <ulm@gentoo.org>2008-10-13 10:14:42 +0000
commitba550c338961c1d565827cfd3825a88df70a4145 (patch)
treea2c7241147935ff1099f34022a4687893db1439b /eclass
parentInvert logic of test, as suggested by Steve Long. (diff)
downloademacs-ba550c338961c1d565827cfd3825a88df70a4145.tar.gz
emacs-ba550c338961c1d565827cfd3825a88df70a4145.tar.bz2
emacs-ba550c338961c1d565827cfd3825a88df70a4145.zip
Augment documentation. Remove superfluous die messages.
svn path=/emacs-overlay/; revision=1176
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog4
-rw-r--r--eclass/elisp-common.eclass10
-rw-r--r--eclass/elisp.eclass12
3 files changed, 16 insertions, 10 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 92d7c35..ebb28e4 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -3,8 +3,10 @@
* elisp-common.eclass: Add function names to error messages.
* elisp.eclass (SITEFILE): Move from elisp-common.eclass to here
- and don't assign a default value.
+ and don't assign a default value. Improve its documentation.
(elisp_src_install): Allow for packages without site-init file.
+ (elisp_src_compile, elisp_src_install): Remove messages from "die"
+ commands since elisp-common.eclass is verbose enough.
2008-10-09 Ulrich Mueller <ulm@gentoo.org>
diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index ffbb598..af73a95 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -86,12 +86,14 @@
# keybindings as they might interfere with the user's settings. Give a hint
# in pkg_postinst(), which should be enough.
#
-# The naming scheme for this site file is "[0-9][0-9]*-gentoo.el", where the
-# two digits at the beginning define the loading order. So if you depend on
-# another Emacs package, your site file's number must be higher!
+# The naming scheme for this site-init file matches the shell pattern
+# "[1-8][0-9]*-gentoo.el", where the two digits at the beginning define the
+# loading order (numbers below 10 or above 89 are reserved for internal use).
+# So if you depend on another Emacs package, your site file's number must be
+# higher!
#
# Best practice is to define a SITEFILE variable in the global scope of your
-# ebuild (right after DEPEND e.g.):
+# ebuild (e.g., right after DEPEND):
#
# SITEFILE=50${PN}-gentoo.el
#
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index df52ce7..80b8d51 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -26,7 +26,10 @@
# @ECLASS-VARIABLE: SITEFILE
# @DESCRIPTION:
-# Name of package's site-init file.
+# Name of package's site-init file. The filename must match the shell
+# pattern "[1-8][0-9]*-gentoo.el"; numbers below 10 and above 89 are
+# reserved for internal use. "50${PN}-gentoo.el" is a reasonable choice
+# in most cases.
# @ECLASS-VARIABLE: DOCS
# @DESCRIPTION:
@@ -63,14 +66,13 @@ elisp_src_unpack() {
}
elisp_src_compile() {
- elisp-compile *.el || die "elisp-compile failed"
+ elisp-compile *.el || die
}
elisp_src_install() {
- elisp-install ${PN} *.el *.elc || die "elisp-install failed"
+ elisp-install ${PN} *.el *.elc || die
if [ -n "${SITEFILE}" ]; then
- elisp-site-file-install "${FILESDIR}/${SITEFILE}" \
- || die "elisp-site-file-install failed"
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
fi
if [ -n "${DOCS}" ]; then
dodoc ${DOCS} || die "dodoc failed"